| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::RTShader::TextureAtlasRecord Struct Reference
Optional Components » RTShaderSystem

`#include <OgreShaderExTextureAtlasSampler.h>`

## Public Member Functions
| TextureAtlasRecord (const String &texOriginalName, const String &texAtlasName, const float texPosU, const float texPosV, const float texWidth, const float texHeight, const size_t texIndexInAtlas)

## Public Attributes
String | atlasTextureName
float | height
size_t | indexInAtlas
String | originalTextureName
float | posU
float | posV
float | width

## Constructor & Destructor Documentation

## ◆ TextureAtlasRecord()

Ogre::RTShader::TextureAtlasRecord::TextureAtlasRecord | ( | const String & | texOriginalName,
|  | const String & | texAtlasName,
|  | const float | texPosU,
|  | const float | texPosV,
|  | const float | texWidth,
|  | const float | texHeight,
|  | const size_t | texIndexInAtlas
| ) |  |
| inline

## Member Data Documentation

## ◆ posU

float Ogre::RTShader::TextureAtlasRecord::posU

## ◆ posV

float Ogre::RTShader::TextureAtlasRecord::posV

## ◆ width

float Ogre::RTShader::TextureAtlasRecord::width

## ◆ height

float Ogre::RTShader::TextureAtlasRecord::height

## ◆ originalTextureName

String Ogre::RTShader::TextureAtlasRecord::originalTextureName

## ◆ atlasTextureName

String Ogre::RTShader::TextureAtlasRecord::atlasTextureName

## ◆ indexInAtlas

size_t Ogre::RTShader::TextureAtlasRecord::indexInAtlas

The documentation for this struct was generated from the following file:

- OgreShaderExTextureAtlasSampler.h